# Uses of Interface
org.eclipse.birt.chart.model.type.TypeFactory

Packages that use TypeFactory
Package
Description
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of TypeFactory in org.eclipse.birt.chart.model.type

Fields in org.eclipse.birt.chart.model.type declared as TypeFactory
Modifier and Type
Field
Description
`static final TypeFactory`
TypeFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.birt.chart.model.type that return TypeFactory
Modifier and Type
Method
Description
`TypeFactory`
TypePackage.`getTypeFactory()`
Returns the factory that creates the instances of the model.

## Uses of TypeFactory in org.eclipse.birt.chart.model.type.impl

Classes in org.eclipse.birt.chart.model.type.impl that implement TypeFactory
Modifier and Type
Class
Description
`class`
`TypeFactoryImpl`
An implementation of the model Factory .
Methods in org.eclipse.birt.chart.model.type.impl that return TypeFactory
Modifier and Type
Method
Description
`TypeFactory`
TypePackageImpl.`getTypeFactory()`
`static TypeFactory`
TypeFactoryImpl.`init()`
Creates the default factory implementation.